
/*  CSS Rules
	selector {property:  value;}
*/

/*TYPE SELECTOR*tag-name**/

/*UNIVERSAL SELECTOR*/
	/*RED ASTERISK means all the stype will apply to all*/
	/*as you can see we used 2 fonts, it means if the first will not be read, the 2nd will apply*/
	* {
		font-family: "Courier New", monospace; 
		font-size: 20px;
	}

	/*important means particular thing or color will not be changed*/
	h1 {
		color: pink !important;
	}

/*ID SELECTOR*/
	/*Targets only specific element*/
	/* uses "#" HASH KEY or POUND SIGN to target*/
	#zuitt-motto {
		letter-spacing: 25px;
	}

	h3 {
		letter-spacing: 5px;
	}

/*CLASS SELECTOR*/
	/* DOT or FULL STOP */
	/* .class_name  */
	.offering-item {
		text-transform: uppercase;
	}

/*ATTRIBUTE SELECTOR*/
	/* tagname [attrtibute] */
	/*don't use space between "input" and []*/
	input[required] {
		border-width: 2px;
		border-style: solid;
		border-color: red;
	}
/*---------------------------------------------------------*/
/*CSS Specificity*/
/*PRIORITY LIST BELOW: SPECIFIC TO GENERAL*/
	/*ID*/
	/*CLASS*/
	/*ATTRIBUTE*/
	/*TYPE*/
	/*UNIVERSAL*/

/*---------------------------------------------------------*/
/*CSS Specificity, Continued*/
/*From highest priority to least*/
	/*Inline*/
	/*Internal*/
	/*External*/
/*---------------------------------------------------------*/

/*CSS Selector Combinators*/
	/*Adjacent Sibling Selector (+)*/
	/*Descendant Selector (Whitespace)*/
	/*General Sibling Selector (~)*/
	/*Child Selector (>)*/
	/*Multiple Selector*/
/*---------------------------------------------------------*/
/*Adjacent Sibling Selector (+)*/
	/*sibling selector + target selector*/
	/* from the word adjacent means the nearest or next to */
	/* in this example h3 is right next to img */

	h3 + img {
		height: 300px;
		width: 300px;
		border-radius: 150px;
	}

/*Descendant Selector (Whitespace)*/
	/* In this example we changed the color of "li" tags*/
	/*Targeted using "id" and "#* to call the target/
	/* "ol" is the descendant of "li" it means anything inside "ol" */

	#bootcamp-learning-list li {
		color: green;
	}
 

/*General Sibling Selector (~)*/
	/*sibling selector [~] target selector*/
	/*As long as they are siblings even when they are not adjacent as long as they are sibling but
	they have the same parent*/
	/*in this example we just removed the "default underline" of the word "back to top*/
	/*between "a" and "h2" was the "form" but it dimissed the form since we are using General Sibling Selector*/

	h2 ~ a {
		text-decoration: none;
	}

/*Child Selector (>)*/	
	/*selector [>] target selector target element using "id" and "#"*/
	/*we used a path here going to the target*/
	/*we changed the color of our "target" which is the "label"*/
	/*this means "label" was inside a "form" that was inside a "section" that was inside a "body"*/
	body > section > form > label {
		color: rgb(128, 0, 128);
	}

/*Multiple Selector*/
	/*Only uses "space" to target multiple*/
	/*example targeting "p" "h1" "h2" etc.*/



	/*for "ol" "list-style-type:  none if ever*/
	/*here we removed the "list sytle" that's why the numbering disappeared*/

	h2, h3 {
		color: brown;
	}	

	ol {
		list-style-type: none;
	}	